af2a45
From eedab4fd872c3be8ab15af767897f92c78a71fde Mon Sep 17 00:00:00 2001
af2a45
From: Lokesh Mandvekar <lsm5@fedoraproject.org>
af2a45
Date: Mon, 21 Feb 2022 14:58:40 -0500
af2a45
Subject: [PATCH] helpers.bash: Use correct syntax
af2a45
af2a45
Fixes gating test failure:
af2a45
```
af2a45
 /usr/share/buildah/test/system/./helpers.bash: line 474: !is_cgroupsv2: command not found
af2a45
 ```
af2a45
af2a45
Co-authored-by: Yiqiao Pu <ypu@redhat.com>
af2a45
af2a45
I'm just the committer.
af2a45
af2a45
Signed-off-by: Lokesh Mandvekar <lsm5@fedoraproject.org>
af2a45
---
af2a45
 tests/helpers.bash | 8 ++++----
af2a45
 1 file changed, 4 insertions(+), 4 deletions(-)
af2a45
af2a45
diff --git a/tests/helpers.bash b/tests/helpers.bash
af2a45
index bd2794c974..3e72108bec 100644
af2a45
--- a/tests/helpers.bash
af2a45
+++ b/tests/helpers.bash
af2a45
@@ -433,9 +433,9 @@ function skip_if_rootless() {
af2a45
 ##################################
af2a45
 function skip_if_rootless_and_cgroupv1() {
af2a45
     if test "$BUILDAH_ISOLATION" = "rootless"; then
af2a45
-	if !is_cgroupsv2; then
af2a45
-		skip "${1:-test does not work when \$BUILDAH_ISOLATION = rootless} and not cgroupv2"
af2a45
-	fi
af2a45
+        if ! is_cgroupsv2; then
af2a45
+            skip "${1:-test does not work when \$BUILDAH_ISOLATION = rootless} and not cgroupv2"
af2a45
+        fi
af2a45
     fi
af2a45
 }
af2a45
 
af2a45
@@ -471,7 +471,7 @@ function skip_if_cgroupsv2() {
af2a45
 #  skip_if_cgroupsv1  #  Some tests don't work with cgroupsv1
af2a45
 #######################
af2a45
 function skip_if_cgroupsv1() {
af2a45
-    if !is_cgroupsv2; then
af2a45
+    if ! is_cgroupsv2; then
af2a45
         skip "${1:-test does not work with cgroups v1}"
af2a45
     fi
af2a45
 }